<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:ns2="http://cdm-fr.fr/2011/CDM-frSchema" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
    
    <xsl:key name="objet" match="orgUnit | program | subProgram | course | person" use="@id"/>
    
    <xsl:output method="xml" indent="yes"
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
		doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
		media-type="text/html" encoding="UTF-8"
		omit-xml-declaration="yes" xml:lang="fr" xml:space="preserve" />
    
    <!-- AIDE 
        Code pour faire un espace : &#160;
        AIDE -->
    
    <!-- VARIABLES -->
    <xsl:param name="_lang">fr-FR</xsl:param>
    <!--<xsl:variable name="idP">FRUAI0599999BPRCPS10VAR</xsl:variable>-->
    <xsl:variable name="idP"/>
    <!--<xsl:variable name="variablesExt" select="document('commun/variablesExt.xml')" />-->
    
    <!-- INCLUDES -->
    <xsl:include href="amue/composants/commun/commun_fr-FR.xsl" />
    <xsl:include href="amue/composants/commun/infoBlock-pdf.v01.xsl"/>
    <xsl:include href="amue/composants/orgUnit.v01.xsl" />
    <xsl:include href="amue/composants/program.v01.xsl" />
    <!--<xsl:include href="amue/composants/person.v01.xsl" />-->
  
    <xsl:variable name="variables" select="document('commun/variables_PDF.amu.xml')"/>
    
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <fo:layout-master-set>
                <fo:simple-page-master master-name="plaquette">
                    <fo:region-body region-name="Body" margin="0.7in" column-gap="0.25in"/>
                    <fo:region-before region-name="Header" extent="0.7in" display-align="after"/>
                    <fo:region-end region-name="Right" extent="0.7in" display-align="after" reference-orientation="-90"/>
                </fo:simple-page-master>
            </fo:layout-master-set>
            <fo:page-sequence master-reference="plaquette">
                <fo:static-content flow-name="Header">
                    <fo:block>                
                        <fo:external-graphic src="AMU.png" content-height="1000px" />                        
                    </fo:block>
                </fo:static-content>
                <fo:static-content flow-name="Right">
                    <fo:block font-family="Arial" color="gainsboro" font-weight="bold" font-size="40" text-align="center">                
                        <xsl:call-template name="tOrgUnitSecondName"/>
                    </fo:block>
                </fo:static-content>
                <fo:flow flow-name="Body">
                    <fo:block font-family="Arial" font-size="8" text-align="left" font-style="italic">
                        <!--<xsl:call-template name="tOrgUnitContactAdress"/>-->                                                                                
                    </fo:block> 
                    <fo:block font-size="10">                   
                        <!--<xsl:call-template name="tProgramStructureListeProgramme"/>-->
                    </fo:block>
                    
                    <fo:block>
                        <!--<xsl:call-template name="tProgramStructureListeProgramme"/>
                        <xsl:call-template name="tProgramCapaciteAccueil"/>-->
                        <!--<xsl:apply-templates select="key('objet',$idP)/ns2:programDescription/infoBlock"/>-->
                        <xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libProgramme'"/></xsl:call-template>
                        <xsl:call-template name="tProgramProgramStructurePdf"/>
                        <xsl:apply-templates select="/CDM/orgUnit[2]/infoBlock" />
                    </fo:block>                  
                </fo:flow>
            </fo:page-sequence>
        </fo:root>
    </xsl:template>
    
</xsl:stylesheet>
